#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: bovo
Summary: Classic pen and paper game
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
Group: Games/Strategy
License: GPLv2
URL: http://www.kde.org/applications/games/bovo/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Conflicts: oxygen-icon-theme < 1:4.4.2
Suggests: bovo-handbook

%description
Bovo is a Gomoku (from Japanese 五目並べ - lit. "five points") like game for two
players, where the opponents alternate in placing their respective pictogram on
the game board. (Also known as: Connect Five, Five in a row, X and O, Naughts
and Crosses)

%files
%_kde_bindir/bovo
%_kde_applicationsdir/bovo.desktop
%_kde_appsdir/bovo
%_kde_iconsdir/hicolor/*/apps/bovo.*

#------------------------------------------------------------------------------

%package -n bovo-handbook
Summary: Bovo handbook
Conflicts: bovo < 1:4.7.1-2
Requires:  bovo >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n bovo-handbook
This package provides the bovo handbook.

%files -n bovo-handbook
%_kde_docdir/HTML/en/bovo

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407226
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401832
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394397
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 347156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339477
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334558
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326760
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319279
- imported package bovo

